  # The formats below will specify the changes made to the player chat when talking.
  # These keys can be used in other plugins that modify the chat format like iChat.
 
  # {worldname} - Displays the world the player is currently in.
  # {town} - Displays town name if a member of a town.
  # {townformatted} - Displays town name (if a member of a town) using tag_format.town.
  # {towntag} - Displays the formated town tag (if a member of a town) using modify_chat.tag_format.town.
  # {towntagoverride} - Displays the formated town tag (if a member of a town and present) or falls back to the full name (using modify_chat.tag_format.town).
 
  # {nation} - Displays nation name if a member of a nation.
  # {nationformatted} - Displays nation name (if a member of a nation) using tag_format.town.
  # {nationtag} - Displays the formated nation tag (if a member of a nation) using modify_chat.tag_format.nation.
  # {nationtagoverride} - Displays the formated nation tag (if a member of a nation and present) or falls back to the full name (using modify_chat.tag_format.nation).
 
  # {townytag} - Displays the formated town/nation tag as specified in modify_chat.tag_format.both.
  # {townyformatted} - Displays the formated full town/nation names as specified in modify_chat.tag_format.both.
  # {townytagoverride} - Displays the formated town/nation tag (if present) or falls back to the full names (using modify_chat.tag_format.both).
 
  # {title} - Towny resident Title
  # {surname} - Towny resident surname
  # {townynameprefix} - Towny name prefix taken from the townLevel/nationLevels
  # {townynamepostfix} - Towny name postfix taken from the townLevel/nationLevels.
  # {townyprefix} - Towny resident title, or townynameprefix if no title exists
  # {townypostfix} - Towny resident surname, or townynamepostfix if no surname exists
 
  # {townycolor} - Towny name colour for king/mayor/resident
  # {group} - Players group name pulled from your permissions plugin
  # {permprefix} - Permission group prefix
  # {permsuffix} - Permission group suffix.
 
  # {playername} - Default player name.
  # {modplayername} - Modified player name (use if Towny is over writing some other plugins changes).
  # {msg} - The message sent.
  
  # {channelTag} - Defined in the channels entry in Channels.yml
  # {msgcolour} - Defined in the channels entry in Channels.yml
  
  # Text colouring
  # --------------
  # Black = &0, Navy = &1, Green = &2, Blue = &3, Red = &4
  # Purple = &5, Gold = &6, LightGray = &7, Gray = &8
  # DarkPurple = &9, LightGreen = &a, LightBlue = &b
  # Rose = &c, LightPurple = &d, Yellow = &e, White = &f
 
  # Spam_time set the minimum time between messages to be flagged as spam
  spam_time: 0.5

  channel_formats:
    # This is the format which will be used for GLOBAL chat/channels.
    # This is also the format used when you have modify_chat.enable: true, but use other plugins to handle chat.
    global: '{permprefix}{playername}{permsuffix}&f:{townycolor} {msg}'
    # TOWN channel types.
    town: '{town}{permprefix}{playername}{permsuffix}&f:{townycolor} {msg}'
    # NATION channel types.
    nation: '{town}{permprefix}{playername}{permsuffix}&f:{townycolor} {msg}'
    # DEFAULT channel types.
    default: '{permprefix}{playername}{permsuffix}&f:{townycolor} {msg}'
    
  tag_formats:
      world: '&f[&f%s&f] '
      town: '&f[&3%s&f] '
      nation: '&f[&e%s&f] '
      # First %s is the nation tag, second is the town tag.
      both: '&f[&6%s&f|&3%s&f] '
      
    # Chat colours
  colour:
    king: '&6'
    mayor: '&b'
    resident: '&f'
    
  modify_chat:
    # This is used for when you don't have another plugin to format chat.
    # or you want some other plugin to handle open chat, but want Towny formatting.
    # It will cause Towny to overwrite any other plugins alterations to the format.
    enable: 'true'
    # If true the chat formats will be read from below to allow per world formatting.
    # These can then be altered individually.
    per_world: 'false'
    
  worlds:
    worldsss_the_end:
      global: '{permprefix}{playername}{permsuffix}&f:{townycolor} {msg}'
      town: '{town}{permprefix}{playername}{permsuffix}&f:{townycolor} {msg}'
      nation: '{town}{permprefix}{playername}{permsuffix}&f:{townycolor} {msg}'
      default: '{permprefix}{playername}{permsuffix}&f:{townycolor} {msg}'
    world_nether:
      global: '{permprefix}{playername}{permsuffix}&f:{townycolor} {msg}'
      town: '{town}{permprefix}{playername}{permsuffix}&f:{townycolor} {msg}'
      nation: '{town}{permprefix}{playername}{permsuffix}&f:{townycolor} {msg}'
      default: '{permprefix}{playername}{permsuffix}&f:{townycolor} {msg}'
    world:
      global: '{permprefix}{playername}{permsuffix}&f:{townycolor} {msg}'
      town: '{town}{permprefix}{playername}{permsuffix}&f:{townycolor} {msg}'
      nation: '{town}{permprefix}{playername}{permsuffix}&f:{townycolor} {msg}'
      default: '{permprefix}{playername}{permsuffix}&f:{townycolor} {msg}'
    world_the_end:
      global: '{permprefix}{playername}{permsuffix}&f:{townycolor} {msg}'
      town: '{town}{permprefix}{playername}{permsuffix}&f:{townycolor} {msg}'
      nation: '{town}{permprefix}{playername}{permsuffix}&f:{townycolor} {msg}'
      default: '{permprefix}{playername}{permsuffix}&f:{townycolor} {msg}'
